Bug 273841 - Opening "Various Artists" crashes Amarok while "Automatically retrieve covert art" setting is active
Summary: Opening "Various Artists" crashes Amarok while "Automatically retrieve covert...
Status: RESOLVED DUPLICATE of bug 263256
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.4.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 11:29 UTC by Florian Uhl
Modified: 2011-11-03 17:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (17.31 KB, text/plain)
2011-11-03 02:03 UTC, Joey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Uhl 2011-05-22 11:29:06 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:

Opening "Various Artists" crashes Amarok while "Automatically retrieve covert art" setting is active. Happens every single time while the setting is on. Does not happen while the setting is off.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fbf8f565840 (LWP 7562))]

Thread 11 (Thread 0x7fbf6e985700 (LWP 7565)):
#0  0x00007fbf8bf71f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf8384d32f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007fbf8383f116 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007fbf8383f749 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007fbf8383f800 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007fbf8384d2df in ?? () from /usr/lib/libpulse.so.0
#6  0x00007fbf7f000a88 in ?? () from /usr/lib/libpulsecommon-0.9.22.so
#7  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf6e985700) at pthread_create.c:304
#8  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fbf6cc2a700 (LWP 7567)):
#0  0x00007fbf8bf71f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf8663e104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fbf8663e639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fbf8c8cf446 in QEventDispatcherGlib::processEvents (this=0x1519d30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fbf8c8a3882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fbf8c8a3abc in QEventLoop::exec (this=0x7fbf6cc29d10, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fbf8c7ba924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007fbf8c885c2f in QInotifyFileSystemWatcherEngine::run (this=0x157d370) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x157d370) at thread/qthread_unix.cpp:320
#9  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf6cc2a700) at pthread_create.c:304
#10 0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbf5b883700 (LWP 7569)):
#0  0x00007fbf87a40d9d in __pthread_mutex_unlock_usercnt (mutex=0x1b42278) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x1b42278) at pthread_mutex_unlock.c:290
#2  0x00007fbf8663cfef in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fbf8663df9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fbf8663e9f2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fbf7dff6c44 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007fbf866653e4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf5b883700) at pthread_create.c:304
#8  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fbf59460700 (LWP 7570)):
#0  0x00007fbf8bf71f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf8663e104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fbf8663e639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fbf8c8cf446 in QEventDispatcherGlib::processEvents (this=0x1bb4860, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fbf8c8a3882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fbf8c8a3abc in QEventLoop::exec (this=0x7fbf5945fd10, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fbf8c7ba924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007fbf8c885c2f in QInotifyFileSystemWatcherEngine::run (this=0x1bb4700) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x1bb4700) at thread/qthread_unix.cpp:320
#9  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf59460700) at pthread_create.c:304
#10 0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbf58a42700 (LWP 7571)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf8c7bd82b in wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fbf899ee0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1cc8350, th=0x1cc8ab0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbf899f0723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1cc8ab0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbf899f073c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1cc8ab0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbf899ef53f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbf58a41d60, parent=0x1cc8350, th=0x1cc8ab0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fbf899ef5cb in ThreadWeaver::Thread::run (this=0x1cc8ab0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x1cc8ab0) at thread/qthread_unix.cpp:320
#9  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf58a42700) at pthread_create.c:304
#10 0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbf58036700 (LWP 7572)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf8c7bd82b in wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fbf899ee0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1cc8350, th=0x1c775f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbf899f0723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1c775f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbf899f073c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1c775f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbf899ef53f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbf58035d60, parent=0x1cc8350, th=0x1c775f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fbf899ef5cb in ThreadWeaver::Thread::run (this=0x1c775f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x1c775f0) at thread/qthread_unix.cpp:320
#9  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf58036700) at pthread_create.c:304
#10 0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbf57835700 (LWP 7573)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf8c7bd82b in wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fbf899ee0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1cc8350, th=0x1c6b6c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbf899f0723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1c6b6c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbf899ef53f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbf57834d60, parent=0x1cc8350, th=0x1c6b6c0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbf899ef5cb in ThreadWeaver::Thread::run (this=0x1c6b6c0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x1c6b6c0) at thread/qthread_unix.cpp:320
#8  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf57835700) at pthread_create.c:304
#9  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fbf57034700 (LWP 7574)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf8c7bd82b in wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1cc5cd0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fbf899ee0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1cc8350, th=0x1c885e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbf899f0723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1cb2770, th=0x1c885e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbf899ef53f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbf57033d60, parent=0x1cc8350, th=0x1c885e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbf899ef5cb in ThreadWeaver::Thread::run (this=0x1c885e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fbf8c7bd175 in QThreadPrivate::start (arg=0x1c885e0) at thread/qthread_unix.cpp:320
#8  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf57034700) at pthread_create.c:304
#9  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fbf561fa700 (LWP 7575)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf82dd2832 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf561fa700) at pthread_create.c:304
#3  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbf54218700 (LWP 7578)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbf883382a2 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fbf88651180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fbf883382d9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fbf8865f254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fbf87a3cd8c in start_thread (arg=0x7fbf54218700) at pthread_create.c:304
#4  0x00007fbf8bf7f04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbf8f565840 (LWP 7562)):
[KCrash Handler]
#6  0x00007fbf8e54754a in CoverFetchArtPayload::prepareLastFmUrls (this=0x27e22f0, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007fbf8e5480d3 in CoverFetchArtPayload::prepareUrls (this=0x27e22f0) at ../../src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007fbf8e53c158 in CoverFetchArtPayload::setXml (this=0x27e22f0, xml=<value optimized out>) at ../../src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007fbf8e53b437 in CoverFetchQueue::add (this=0x1af96a0, album=..., opt=CoverFetch::Automatic, src=<value optimized out>, xml=...) at ../../src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007fbf8e536490 in CoverFetcher::slotResult (this=0x1af9ad0, url=<value optimized out>, data=..., e=<value optimized out>) at ../../src/covermanager/CoverFetcher.cpp:202
#11 0x00007fbf8e536dc1 in CoverFetcher::qt_metacall (this=0x1af9ad0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fff043c28f0) at ./CoverFetcher.moc:92
#12 0x00007fbf8c8acf4b in QMetaMethod::invoke (this=0x7fff043c2bc0, object=0x1af9ad0, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#13 0x00007fbf8e314d4b in invoke (this=0x1af9850) at /usr/include/qt4/QtCore/qmetaobject.h:119
#14 NetworkAccessManagerProxy::NetworkAccessManagerProxyPrivate::_replyFinished (this=0x1af9850) at ../../src/network/NetworkAccessManagerProxy.cpp:98
#15 0x00007fbf8e3138ca in NetworkAccessManagerProxy::qt_metacall (this=0x1afca70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff043c2ec0) at ./NetworkAccessManagerProxy.moc:86
#16 0x00007fbf8c8b95f8 in QMetaObject::activate (sender=0x1b958e0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#17 0x00007fbf89f9ea2b in KDEPrivate::AccessManagerReply::slotResult (this=0x1b958e0, kJob=0x1e0ea00) at ../../kio/kio/accessmanagerreply_p.cpp:302
#18 0x00007fbf89f9f513 in KDEPrivate::AccessManagerReply::qt_metacall (this=0x1b958e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff043c3360) at ./accessmanagerreply_p.moc:83
#19 0x00007fbf8c8b95f8 in QMetaObject::activate (sender=0x1e0ea00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff043c3360) at kernel/qobject.cpp:3287
#20 0x00007fbf8cd10d32 in KJob::result (this=<value optimized out>, _t1=0x1e0ea00) at ./kjob.moc:194
#21 0x00007fbf8cd10d70 in KJob::emitResult (this=0x1e0ea00) at ../../kdecore/jobs/kjob.cpp:312
#22 0x00007fbf89fd6c9b in KIO::SimpleJob::slotFinished (this=0x1e0ea00) at ../../kio/kio/job.cpp:525
#23 0x00007fbf89fdc122 in KIO::TransferJob::slotFinished (this=0x1e0ea00) at ../../kio/kio/job.cpp:1118
#24 0x00007fbf89fe0421 in KIO::TransferJob::qt_metacall (this=0x1e0ea00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff043c3760) at ./jobclasses.moc:367
#25 0x00007fbf8c8b95f8 in QMetaObject::activate (sender=0x1e53990, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#26 0x00007fbf8a07d531 in KIO::SlaveInterface::dispatch (this=<value optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:173
#27 0x00007fbf8a07a4b5 in KIO::SlaveInterface::dispatch (this=0x1e53990) at ../../kio/kio/slaveinterface.cpp:89
#28 0x00007fbf8a06de8e in KIO::Slave::gotInput (this=0x1e53990) at ../../kio/kio/slave.cpp:348
#29 0x00007fbf8a06e4dc in KIO::Slave::qt_metacall (this=0x1e53990, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff043c3b70) at ./slave.moc:82
#30 0x00007fbf8c8b95f8 in QMetaObject::activate (sender=0x27875f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#31 0x00007fbf89fa7ff7 in KIO::ConnectionPrivate::dequeue (this=0x239d660) at ../../kio/kio/connection.cpp:82
#32 0x00007fbf89fa809d in KIO::Connection::qt_metacall (this=0x27875f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x29f5e40) at ./connection.moc:79
#33 0x00007fbf8c8b849a in QObject::event (this=0x27875f0, e=<value optimized out>) at kernel/qobject.cpp:1226
#34 0x00007fbf8d2639e4 in QApplicationPrivate::notify_helper (this=0x100b7a0, receiver=0x27875f0, e=0x2881dc0) at kernel/qapplication.cpp:4462
#35 0x00007fbf8d2683aa in QApplication::notify (this=<value optimized out>, receiver=0x27875f0, e=0x2881dc0) at kernel/qapplication.cpp:4341
#36 0x00007fbf8ef77866 in KApplication::notify (this=0x7fff043c45a0, receiver=0x27875f0, event=0x2881dc0) at ../../kdeui/kernel/kapplication.cpp:311
#37 0x00007fbf8c8a449c in QCoreApplication::notifyInternal (this=0x7fff043c45a0, receiver=0x27875f0, event=0x2881dc0) at kernel/qcoreapplication.cpp:731
#38 0x00007fbf8c8a7c25 in sendEvent (receiver=0x0, event_type=0, data=0xe58bc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xe58bc0) at kernel/qcoreapplication.cpp:1372
#40 0x00007fbf8c8cf253 in sendPostedEvents (s=0x100a8a0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=0x100a8a0) at kernel/qeventdispatcher_glib.cpp:277
#42 0x00007fbf8663dbcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#43 0x00007fbf8663e3a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007fbf8663e639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007fbf8c8cf3ef in QEventDispatcherGlib::processEvents (this=0xe587c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#46 0x00007fbf8d30adfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007fbf8c8a3882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#48 0x00007fbf8c8a3abc in QEventLoop::exec (this=0x7fff043c4550, flags=...) at kernel/qeventloop.cpp:201
#49 0x00007fbf8c8a7ecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#50 0x0000000000409c51 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:268

This bug may be a duplicate of or related to bug 271800.

Possible duplicates by query: bug 273552, bug 271800, bug 271723, bug 271562, bug 270285.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-05-25 08:52:29 UTC
Please upgrade to Amarok 2.4.1, this is already solved.

*** This bug has been marked as a duplicate of bug 263256 ***
Comment 2 Joey 2011-11-03 02:03:07 UTC
Created attachment 65182 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.2

- What I was doing when the application crashed:
I selected "Various Artists" while "Automaticly fetch album art" is enabled.
As reported before, it happens every time. 
PinguyOS

-- Backtrace (Reduced):
#6  0x00007fb106ac654a in CoverFetchArtPayload::prepareLastFmUrls (this=0x2f19c90, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007fb106ac70d3 in CoverFetchArtPayload::prepareUrls (this=0x2f19c90) at ../../src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007fb106abb158 in CoverFetchArtPayload::setXml (this=0x2f19c90, xml=<value optimized out>) at ../../src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007fb106aba437 in CoverFetchQueue::add (this=0x2a41a00, album=..., opt=CoverFetch::Automatic, src=<value optimized out>, xml=...) at ../../src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007fb106ab5490 in CoverFetcher::slotResult (this=0x304f3c0, url=<value optimized out>, data=..., e=<value optimized out>) at ../../src/covermanager/CoverFetcher.cpp:202
Comment 3 Myriam Schweingruber 2011-11-03 17:18:31 UTC
Joey, please do not submit backtraces to crashes already marked as duplicates.

Please upgrade your Amarok version, this is fixed since quite some time already.